<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
  <table style="width:100%">
    <tr>
      <td>
      	<div class="form-horizontal">
	        <s:decorate id="famdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Family']}</ui:define>
	          <h:inputText id="famtext" size="20" value="#{requestGenerator.family}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="rootec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Idroot']}</ui:define>
	          <h:inputText id="roottext" size="20" value="#{requestGenerator.root}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="streetdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Street']}</ui:define>
	          <h:inputText id="streettext" size="20" value="#{requestGenerator.street}" styleClass="form-control"/>
	        </s:decorate>
	         <s:decorate id="postcdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PostalCode']}</ui:define>
	          <h:inputText id="postcodext" size="20" value="#{requestGenerator.postalcode}" styleClass="form-control"/>
	        </s:decorate>
	     </div>
      </td>
      <td>
      	<div class="form-horizontal">
	        <s:decorate id="givendec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Given']}</ui:define>
	          <h:inputText id="givtext" size="20" value="#{requestGenerator.given}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="extendec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Idextension']}</ui:define>
	          <h:inputText id="extenstext" size="20" value="#{requestGenerator.extension}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="citydec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.City']}</ui:define>
	          <h:inputText id="citytext" size="20" value="#{requestGenerator.city}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="mnamedec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MaidenName_2']}</ui:define>
	          <h:inputText id="mnametext" size="20" value="#{requestGenerator.maidenname}" styleClass="form-control"/>
	        </s:decorate>
	     </div>
      </td>
      <td>
      	<div class="form-horizontal">
	        <s:decorate id="birtdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Birthdate']}</ui:define>
	          <h:panelGrid columns="4">
	            <a4j:outputPanel id="calendar" layout="block">
	              <h:inputText value="#{requestGenerator.birthdate}" size="30" styleClass="form-control"/>
	            </a4j:outputPanel>
	            <gdk:spacer height="5px"/>
				  <s:span styleClass="gzl-icon-question-circle" title ="#{messages['net.ihe.gazelle.xdstar.BirthDatesFormSHALLBeYYYYMMDDhhmmssSSSSZZZZ']}"/>
	          </h:panelGrid>
	        </s:decorate>
	        <s:decorate id="genddec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.GenderMF']})</ui:define>
	          <h:inputText id="mnametext" size="20" value="#{requestGenerator.gender}" styleClass="form-control"/>
	        </s:decorate>
	        <s:decorate id="countrdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Country']}</ui:define>
	          <h:inputText id="countrtext" size="20" value="#{requestGenerator.country}" styleClass="form-control"/>
	        </s:decorate>
      	</div>
      </td>
    </tr>
  </table>
  <div class="form-horizontal">
	  <s:decorate id="senddec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SenderHomeCommunityID']}</ui:define>
		<rich:autocomplete mode="ajax" minChars="0" autofill="false" value="#{requestGenerator.senderHomeCommunityId}"  
            autocompleteMethod="#{manager.autocompleteListOfHomeCommunityID}" />
		</s:decorate>
	  <s:decorate id="recidec" template="/layout/form/_form_field_horizontal_inline.xhtml">
	    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ReceiverHomeCommunityID']}</ui:define>
   		<rich:autocomplete mode="ajax" minChars="0" autofill="false" value="#{requestGenerator.receiverHomeCommunityId}"  
            autocompleteMethod="#{manager.autocompleteListOfHomeCommunityID}" />
		</s:decorate>
	</div>
</ui:composition>
